<div
  class="container d-flex flex-column justify-content-center align-items-center p-4 m-3"
>
  <div class="card w-50 shadow-lg">
    <div class="card-header"><h2>Saisir un poste :</h2></div>

    <div class="card-body">
      <form action="" [formGroup]="form" (ngSubmit)="validation()">
        <div hidden>
          <input type="number" class="form-control" formControlName="id" />
        </div>
        <div class="mb-3">
          <label for="" class="form-label">Titre : </label>
          <input type="text" class="form-control" formControlName="titre" />
        </div>
        <div class="mb-3">
          <label for="" class="form-label">Description : </label>
          <textarea
            type="text"
            class="form-control"
            formControlName="description"
          ></textarea>
        </div>
        <div class="mb-3">
          <label for="" class="form-label">Date du poste : </label>
          <input type="date" class="form-control" formControlName="date" />
        </div>
        <button type="submit" class="btn btn-primary">Validation</button>
      </form>
    </div>
  </div>
  <div class="mt-4 w-75">
    <h2>Liste des postes :</h2>
    <table class="table table-dark table-striped shadow-lg">
      <thead>
        <tr>
          <th>id</th>
          <th>Titre</th>
          <th>Description</th>
          <th>Date</th>
          <th>Action</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let post of liste">
          <td>{{ post.id }}</td>
          <td>{{ post.titre }}</td>
          <td>{{ post.description }}</td>
          <td>{{ post.date }}</td>
          <td>
            <button class="btn btn-danger" (click)="delete(post.id)">
              Delete</button
            ><button class="btn btn-warning" (click)="edit(post.id)">
              Edit
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
